Documents/DEV/portfolio-site/config/routes.rb
Rails.application.routes.draw do
  resources :topics, only: [:index, :show]

  devise_for :users, path: '', path_names: { sign_in: 'login', sign_out: 'logout', sign_up: 'register' }
  resources :portfolios, except: [:show] do
    put :sort, on: :collection
  end
  get 'angular-items', to: 'portfolios#angular'
  get 'portfolio/:id', to: 'portfolios#show', as: 'portfolio_show'

  get 'about-me', to: 'pages#about'
  get 'contact', to: 'pages#contact'
  get 'tech-news', to: 'pages#tech_news'

  resources :blogs do
    member do
      get :toggle_status
    end
  end

  mount ActionCable.server => '/cable'

  root to: 'pages#home'
end

Documents/DEV/portfolio-site/app/views/shared/_application_footer.html.erb
<div class="mastfoot">
  <div class="inner">
    <p class="app-footer"><%= copyright_generator %></p>
  </div>
</div>

Documents/DEV/portfolio-site/app/views/shared/_application_nav.html.erb
<div class="masthead clearfix">
  <div class="inner">
    <h3 class="masthead-brand">Bekhruz M.M</h3>
    <nav class="nav nav-masthead app-nav">
      <%= nav_helper 'nav-link', 'span' %>
      <%= login_helper 'nav-link' %>
    </nav>
  </div>
</div>

Documents/DEV/portfolio-site/app/views/shared/_blog_footer.html.erb
<footer class="blog-footer">
  <p>
    <%= copyright_generator %>
  </p>
  <p>
    <a href="#">Back to top</a>
  </p>
</footer>

Documents/DEV/portfolio-site/app/views/shared/_blog_masthead.html.erb
<div class="blog-header">
  <div class="container">
    <h1 class="blog-title">My Blog</h1>
    <p class="lead blog-description">My Articles.</p>
    <span>
      <%= link_to 'Write a New Blog', new_blog_path if logged_in?(:site_admin) %>
    </span>
    <span>
      <%= link_to "Topics", topics_path %>
    </span>
  </div>
</div>

Documents/DEV/portfolio-site/app/views/shared/_blog_nav.html.erb
<nav class="navbar navbar-toggleable-md navbar-light bg-faded blog-nav">
  <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="container">
    <%= link_to "Bekhruz M.M", root_path, class: 'navbar-brand' %>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <%= nav_helper 'nav-link', 'li' %>  
        <%= login_helper 'nav-link' %>  
      </ul>
    </div>
  </div>
</nav>

Documents/DEV/portfolio-site/app/views/shared/_blog_sidebar.html.erb
<div class="col-sm-3 offset-sm-1 blog-sidebar">
  <div class="sidebar-module sidebar-module-inset">
    <h4>About</h4>
    <p>Etiam porta <em>sem malesuada magna</em> mollis euismod. Cras mattis consectetur purus sit amet fermentum. Aenean lacinia bibendum nulla sed consectetur.</p>
  </div>

  <%= source_helper("alert alert-info blog-sidebar-source") %>

  <div class="sidebar-module">
    <h4>Topics</h4>
    <% @side_bar_topics.each do |topic| %>
      <p><%= link_to topic.title, topic_path(topic) %></p>
    <% end %>
  </div>

  <div class="sidebar-module">
    <h4>Else where</h4>
    <ol class="list-unstyled social-links">
      <li><a href="#"><%= fa_icon "github" %></a></li>
      <li><a href="#"><%= fa_icon "instagram" %></a></li>
      <li><a href="#"><%= fa_icon "facebook" %></a></li>
      <li><a href="#"><%= fa_icon "twitter" %></a></li>
    </ol>
  </div>
</div>

Documents/DEV/portfolio-site/app/views/shared/_nav.html.erb
<div class="<%= location %>">
  <div><%= link_to "Home", root_path %></div>
  <div><%= link_to "About Me", about_me_path %></div>
  <div><%= link_to "Contact", contact_path %></div>
  <div><%= link_to "Blog", blogs_path %></div>
  <div><%= link_to "Portfolio", portfolios_path %></div>
</div>

Documents/DEV/portfolio-site/app/views/shared/_portfolio_footer.html.erb
<footer class="text-muted">
  <div class="container">
    <p class="float-right">
      <%= link_to "View All Portfolio Items", portfolios_path %> / 
      <a href="#">Back to top</a>
    </p>
    <p>
      <%= copyright_generator %>
    </p>
  </div>
</footer>

Documents/DEV/portfolio-site/app/views/shared/_portfolio_masthead.html.erb
<section class="jumbotron text-center">
  <div class="container">
    <h1 class="jumbotron-heading">My Portfolio</h1>
    <p class="lead text-muted">Something short and leading about the collection below—its contents, the creator, etc. Make it short and sweet, but not too short so folks don't simply skip over it entirely.</p>
    <p>
      <%= link_to 'Find Out More About Me', about_me_path, class: 'btn btn-primary' %>
      <%= link_to 'My Blog', blogs_path, class: 'btn btn-secondary' %>
    </p>
  </div>
</section>

Documents/DEV/portfolio-site/app/views/shared/_portfolio_nav.html.erb
<div class="collapse bg-inverse" id="navbarHeader">
  <div class="container">
    <div class="row">
      <div class="col-sm-8 py-4">
        <h4 class="text-white">About</h4>
        <p class="text-muted">Add some information about the album below, the author, or any other background context. Make it a few sentences long so folks can pick up some informative tidbits. Then, link them off to some social networking sites or contact information.</p>
      </div>
      <div class="col-sm-4 py-4">
        <h4 class="text-white">Explore</h4>
        <ul class="list-unstyled">
          <%= nav_helper 'text-white', 'li' %>
          <li><%= login_helper 'text-white' %></li>
        </ul>
      </div>
    </div>
  </div>
</div>

<div class="navbar navbar-inverse bg-inverse">
  <div class="container d-flex justify-content-between">
    <a href="#" class="navbar-brand">Jordan Hudgens</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarHeader" aria-controls="navbarHeader" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
  </div>
</div>